Bug 187636 - system-config-bind reports errors then crashes when running help -> Manual
system-config-bind reports errors then crashes when running help -> Manual
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
Depends On:
  Show dependency treegraph
Reported: 2006-04-01 21:50 EST by Shane Stixrud
Modified: 2008-04-04 04:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0-41
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 04:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stdout / stderr error messages (3.94 KB, text/plain)
2006-04-01 21:50 EST, Shane Stixrud
no flags Details

  None (edit)
Description Shane Stixrud 2006-04-01 21:50:35 EST
Description of problem:
When clicking Help -> Manual the application fails to load the manual but reports:
Xlib: unexpected async reply (sequence 0x180a8)!
Xlib: unexpected async reply (sequence 0x19009)!
Xlib: sequence lost (0x29c67 > 0x19c67) in reply type 0x0!
Xlib: sequence lost (0x2a10c > 0x1a10c) in reply type 0x0!

followed by application crash message then the window disapears, I have attached
the whole error output to this bug report.

Version-Release number of selected component (if applicable):

How reproducible:
Click help -> Manual

Steps to Reproduce:
1.Click help
2.Click manual
Actual results:
Application crashes

Expected results:
Help Manual displayed, no crashing

Additional info:
Comment 1 Shane Stixrud 2006-04-01 21:50:35 EST
Created attachment 127194 [details]
stdout / stderr error messages
Comment 2 Jason Vas Dias 2006-04-02 11:35:16 EDT
Hmmm, very strange - this is definitely not happening on my FC-5 system running 
the KDE window manager.

All system-config-bind does when you click on the 'Help->Manual' option is to
fork() a process and try to execve() one of these PDF readers, in this order,
to display /usr/share/doc/system-config-bind-4.0.0/scb_manual.pdf :
First it looks for acroread, then xpdf, then gpdf, then ghostview, and will
execve the first one found in /usr/bin.

So, until this problem is resolved, you can view the manual with:
 $ $pdf_reader  /usr/share/doc/system-config-bind-4.0.0/scb_manual.pdf &
where $pdf_reader is your preferred PDF reader application (eg. xpdf).

Please supply this further information to enable me to reproduce the problem
and determine the cause:

1. What window manager (desktop) are you running system-config-bind under - ie.
   GNOME or KDE ?

2. Please append the output of this command to this bug report:
   $ ls -l /usr/bin/{acroread,xpdf,gpdf} 

3. Can you run the command:
   $ xpdf /usr/share/doc/system-config-bind-4.0.0/scb_manual.pdf &
   without errors ?

4. Do you have the Adobe Acrobat reader 'acroread' program installed ? 
   If so, which version ?
   If you move /usr/bin/acroread out of /usr/bin or rename it, 
   can you then invoke system-config-bind's Help->Manual option ?
Comment 3 Shane Stixrud 2006-04-02 14:12:36 EDT
1. Windows Manager

2. [root@sai2 ~]# ls -l /usr/bin/{acroread,xpdf,gpdf}
ls: /usr/bin/acroread: No such file or directory
ls: /usr/bin/xpdf: No such file or directory
ls: /usr/bin/gpdf: No such file or directory

3. Nope, it would appear my installation choices (desktop) did not include a pdf

4. I do not have acroread installed

After installing xpdf the manual comes up without async errors or the
application terminating.   
Comment 4 Jason Vas Dias 2006-04-03 12:09:44 EDT
OK, glad you're able to view the manual now.

If none of acroread,xpdf,kpdf,or gpdf are installed, then s-c-b will try to run:

/usr/bin/kghostview /usr/share/doc/system-config-bind-4.0.0/scb_manual.pdf 

Does running this command from the command line produce any errors for you ?

I just tested this on a an FC-5 system under GNOME without any errors, so I 
still cannot explain what could have caused the X protocol errors you saw. 
Comment 5 Shane Stixrud 2006-04-03 12:40:26 EDT
That application is not installed by default either.  I have tested this on two
machines (one a laptop and the other a desktop) and both experience this same
problem.  In both cases the default fedora core 5 install (i.e. I didn't select
custom packages) fails to install any of the above mentioned applications to
view this file.  Perhaps making system-config-bind rpm require/depend one of
this application be installed?
Comment 6 Jason Vas Dias 2006-04-03 13:40:58 EDT
Thanks - now I can reproduce this problem, when NONE of 
/usr/bin/{xpdf,kpdf,gpdf,kghostview,acroread} programs exist.

system-config-bind-4.0.0-41+ will now issue a nice GUI prompt to install one
of the above programs if none of them exist and the Help->Manual option is

I don't think we want to REQUIRE one of these program for system-config-bind -
but perhaps the installer should be installing one of them by default.
Comment 7 Braden McDaniel 2006-07-22 10:54:36 EDT
Why doesn't system-config-bind try evince (which *is* installed by default)?
Comment 8 Bug Zapper 2008-04-03 22:30:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Radek Brich 2008-04-04 04:43:44 EDT
I think this is fixed. Closing the bug report.

Rawhide's version of s-c-bind now uses xdg-open to call proper viewer, which
should also solve other problems with calling viewers from hardcoded list...

Note You need to log in before you can comment on or make changes to this bug.